zabbix_export:
  version: '8.0'
  template_groups:
    - uuid: b865b00109404b65a75486e350597162
      name: 'netif tmpl group'
  templates:
    - uuid: 36a5e83312104016a9bec815ca4bf1b7
      template: 'net.if.get template'
      name: 'net.if.get template'
      groups:
        - name: 'netif tmpl group'
      items:
        - uuid: 3b60263041f04140baa6d5de3d0bfe6a
          name: net.if.get
          key: net.if.get
          delay: 10s
          history: '0'
          value_type: TEXT
      discovery_rules:
        - uuid: 3df35d3bae7c45f0af732fcd8ddcae89
          name: 'net.if.get drule'
          type: DEPENDENT
          key: net.if.get.drule
          item_prototypes:
            - uuid: ac97e8129b76470081531c3ab5a61582
              name: '[{#IFNAME}] [config] administrative_state'
              type: DEPENDENT
              key: 'net.if.get.administrative_state[{#IFNAME}]'
              value_type: TEXT
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.config.[?(@.name==''{#IFNAME}'')].administrative_state.first()'
              master_item:
                key: net.if.get
            - uuid: 1380abc9164f46baab8af35c26dc07e4
              name: '[{#IFNAME}] [config] carrier'
              type: DEPENDENT
              key: 'net.if.get.carrier[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.config.[?(@.name==''{#IFNAME}'')].carrier.first()'
              master_item:
                key: net.if.get
            - uuid: c86ec55f64a64146b687739597c27c2f
              name: '[{#IFNAME}] [values] carrier_changes'
              type: DEPENDENT
              key: 'net.if.get.carrier_changes[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].carrier_changes.first()'
              master_item:
                key: net.if.get
            - uuid: ada3b37a0d9d434ca82a1447681cc93e
              name: '[{#IFNAME}] [values] carrier_down_count'
              type: DEPENDENT
              key: 'net.if.get.carrier_down_count[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].carrier_down_count.first()'
              master_item:
                key: net.if.get
            - uuid: bd8c6e900d0542a688387afe38db6beb
              name: '[{#IFNAME}] [values] carrier_up_count'
              type: DEPENDENT
              key: 'net.if.get.carrier_up_count[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].carrier_up_count.first()'
              master_item:
                key: net.if.get
            - uuid: 8aaa3f64be8c42be8ab1d65bcbf57355
              name: '[{#IFNAME}] [config] duplex'
              type: DEPENDENT
              key: 'net.if.get.duplex[{#IFNAME}]'
              value_type: TEXT
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.config.[?(@.name==''{#IFNAME}'')].duplex.first()'
              master_item:
                key: net.if.get
            - uuid: 22ce5278947c4d928e91a8dc8abd9269
              name: '[{#IFNAME}] [values] in.bytes'
              type: DEPENDENT
              key: 'net.if.get.in.bytes[{#IFNAME}]'
              trends: '0'
              units: B
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].in.bytes.first()'
              master_item:
                key: net.if.get
            - uuid: 093b0b3b35c44a3b8626fe087b1c391f
              name: '[{#IFNAME}] [values] in.compressed'
              type: DEPENDENT
              key: 'net.if.get.in.compressed[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].in.compressed.first()'
              master_item:
                key: net.if.get
            - uuid: a66207cfbb6a42dbb56a386e9e45db67
              name: '[{#IFNAME}] [values] in.dropped'
              type: DEPENDENT
              key: 'net.if.get.in.dropped[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].in.dropped.first()'
              master_item:
                key: net.if.get
            - uuid: f496295b04c042d6bc255ce50ba2128a
              name: '[{#IFNAME}] [values] in.errors'
              type: DEPENDENT
              key: 'net.if.get.in.errors[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].in.errors.first()'
              master_item:
                key: net.if.get
            - uuid: 66d5304b29b04c848f8a93722a2c33fd
              name: '[{#IFNAME}] [values] in.frame'
              type: DEPENDENT
              key: 'net.if.get.in.frame[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].in.frame.first()'
              master_item:
                key: net.if.get
            - uuid: b8a4712437ee4b0693341439a51664eb
              name: '[{#IFNAME}] [values] in.multicast'
              type: DEPENDENT
              key: 'net.if.get.in.multicast[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].in.multicast.first()'
              master_item:
                key: net.if.get
            - uuid: 35c7e61e5f7e4b45836728322abb8663
              name: '[{#IFNAME}] [values] in.overruns'
              type: DEPENDENT
              key: 'net.if.get.in.overruns[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].in.overruns.first()'
              master_item:
                key: net.if.get
            - uuid: 7c78fd5d99a14cf18970156a47e6bbe3
              name: '[{#IFNAME}] [config] MAC'
              type: DEPENDENT
              key: 'net.if.get.mac[{#IFNAME}]'
              value_type: TEXT
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.config.[?(@.name==''{#IFNAME}'')].mac.first()'
              master_item:
                key: net.if.get
            - uuid: d03faed0a9584bd7a8431b25dde59f0e
              name: '[{#IFNAME}] [config] operational_state'
              type: DEPENDENT
              key: 'net.if.get.operational_state[{#IFNAME}]'
              value_type: TEXT
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.config.[?(@.name==''{#IFNAME}'')].operational_state.first()'
              master_item:
                key: net.if.get
            - uuid: 2f18fd60a5e744c68bd2137ab95be6e3
              name: '[{#IFNAME}] [values] out.bytes'
              type: DEPENDENT
              key: 'net.if.get.out.bytes[{#IFNAME}]'
              trends: '0'
              units: B
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].out.bytes.first()'
              master_item:
                key: net.if.get
            - uuid: e6dfedacc15e4a0eb1e31081c39f791b
              name: '[{#IFNAME}] [values] out.carrier'
              type: DEPENDENT
              key: 'net.if.get.out.carrier[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].out.carrier.first()'
              master_item:
                key: net.if.get
            - uuid: f22999a521bd49299df8533b5240e837
              name: '[{#IFNAME}] [values] out.collisions'
              type: DEPENDENT
              key: 'net.if.get.out.collisions[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].out.collisions.first()'
              master_item:
                key: net.if.get
            - uuid: 650f08b8be6e4335bcc0b6344d5c88f9
              name: '[{#IFNAME}] [values] out.compressed'
              type: DEPENDENT
              key: 'net.if.get.out.compressed[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].out.compressed.first()'
              master_item:
                key: net.if.get
            - uuid: 2a8ad30ac53c4077a86caaec006e0330
              name: '[{#IFNAME}] [values] out.dropped'
              type: DEPENDENT
              key: 'net.if.get.out.dropped[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].out.dropped.first()'
              master_item:
                key: net.if.get
            - uuid: 66cefaa239d942f4bfdd6f28c93b36f9
              name: '[{#IFNAME}] [values] out.errors'
              type: DEPENDENT
              key: 'net.if.get.out.errors[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].out.errors.first()'
              master_item:
                key: net.if.get
            - uuid: d0e6857da0c2437ebae653af14617f56
              name: '[{#IFNAME}] [values] out.overruns'
              type: DEPENDENT
              key: 'net.if.get.out.overruns[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].out.overruns.first()'
              master_item:
                key: net.if.get
            - uuid: bbcc7bda537e44a2aa01bcbc03dafccf
              name: '[{#IFNAME}] [values] out.packets'
              type: DEPENDENT
              key: 'net.if.get.out.packets[{#IFNAME}]'
              trends: '0'
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.values.[?(@.name==''{#IFNAME}'')].out.packets.first()'
              master_item:
                key: net.if.get
            - uuid: a27e13f7154a4a5dbd6ee5275e0fdd4d
              name: '[{#IFNAME}] [config] type'
              type: DEPENDENT
              key: 'net.if.get.type[{#IFNAME}]'
              value_type: TEXT
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.config.[?(@.name==''{#IFNAME}'')].type.first()'
              master_item:
                key: net.if.get
          master_item:
            key: net.if.get
          lld_macro_paths:
            - lld_macro: '{#IFNAME}'
              path: $.name
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.config
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
